import express from 'express';
import subjectCtrl from '../controllers/subject.controller.js';

const router = express.Router();

router
  .route("/addsubject")
  .post(subjectCtrl.addsubject)

router
  .route("/all/:userId")
  .get(subjectCtrl.allSubject)

router
  .route("/title/:userId")
  .get(subjectCtrl.subjectTitle)

router
  .route("/:subjectId")
  .put(subjectCtrl.editSubject)
  .get(subjectCtrl.getSubInfo)

export default router;